# TabOrderManagerDirection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the type of tab order strategy to apply to the container.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TabOrderManagerDirection : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TabOrderManagerDirection As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                                                                                              |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| **AcrossFirst** | The [TabIndex](/api/wisej.web/general/control.md#tabindex) value for all child controls is updated to go across and then down.           |
| **Default**     | Preserves the [TabIndex](/api/wisej.web/general/control.md#tabindex) value specified by the application.                                 |
| **DownFirst**   | The [TabIndex](/api/wisej.web/general/control.md#tabindex) value for all child controls is updated to go down and then across.           |
| **Inherit**     | Inherits the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) set for the parent container. |

## Used By

| Name                                                                                                       | Description                                                                                                                                            |
| ---------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [TabOrderManager.GetTabOrder](/api/wisej.web/extenders/wisej.web.tabordermanager.md#gettaborder-container) | Returns or sets the [TabOrderManagerDirection](/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md) assigned to the specified container. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.tabordermanagerdirection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
